### Constructor

# RB ShellPreferences new

#### Declaration [src]

    GtkWidget*
    rb_shell_preferences_new (
      GList* views
    )

#### Description [src]

Creates the `RBShellPreferences` instance, populating it with the preferences pages for the sources in the list.

#### Parameters

`views`

  Type: A list of `RBSource*`

  List of sources to check for preferences pages.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The `RBShellPreferences` instance.

The data is owned by the called function.